Package org.eclipse.emf.cdo.spi.server

## Class CDOCommand.WithRepository

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.emf.cdo.spi.server.CDOCommand
    - - org.eclipse.emf.cdo.spi.server.CDOCommand.WithRepository

- All Implemented Interfaces:
    `org.eclipse.net4j.util.factory.IFactory`
  Direct Known Subclasses:
    `CDOCommand.WithAccessor`
  Enclosing class:
    CDOCommand

      public abstract static class CDOCommand.WithRepository
      extends CDOCommand

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.spi.server.CDOCommand

      `CDOCommand.CommandException, CDOCommand.CommandParameter, CDOCommand.WithAccessor, CDOCommand.WithRepository`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.cdo.spi.server.CDOCommand

      `INDENT, PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WithRepository​(java.lang.String name, java.lang.String description)` |
    `WithRepository​(java.lang.String name, java.lang.String description, CDOCommand.CommandParameter... parameters)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute​(java.lang.String[] args)` |
    `abstract void` | `execute​(InternalRepository repository, java.lang.String[] args)` |

    - ### Methods inherited from class org.eclipse.emf.cdo.spi.server.CDOCommand

      `create, duration, execute, executeCommand, getDescription, getInterpreter, getName, getParameters, getSyntax, optional, parameter, parameter, parameters, print, printBundleResource, printDictionary, println, println, printStackTrace, setInterpreter, trimFirstArgument`

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WithRepository

          public WithRepository​(java.lang.String name,
                                java.lang.String description,
                                CDOCommand.CommandParameter... parameters)

    - #### WithRepository

          public WithRepository​(java.lang.String name,
                                java.lang.String description)

  - ### Method Detail

    - #### execute

          public final void execute​(java.lang.String[] args)
                             throws java.lang.Exception

      Specified by:
        `execute` in class `CDOCommand`
      Throws:
        `java.lang.Exception`

    - #### execute

          public abstract void execute​(InternalRepository repository,
                                       java.lang.String[] args)
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`